Subject: [payload] draft-ietf-payload-rtp-ancillary status

From: Thomas Edwards <[email-masked]>
Date: Wed, 13 Dec 2017 00:46:24 +0000

Dear IETF Payload WG,

I have presented the new proposal for generic location codes in Line_Number and Horizontal_Offset fields to subject matter experts in SMPTE and AIMS, and there is general agreement with the proposal.

They will be:

Line_Number | ANC data packet generic vertical location

0x7FF     | Without specific line location within the field or frame
0x7FE     | On any line in the range from the second line after
the line specified for switching, as defined in SMPTE
RP 168, to the last line before active video, inclusive
0x7FD     | On a line number larger than can be represented in 11
bits of this field (if needed for future formats)

Horizontal_Offset | ANC data packet generic horizontal location

0xFFF     | Without specific horizontal location
0xFFE     | Within horizontal ancillary data space (HANC) as
defined in SMPTE ST 291-1
0xFFD     | Within the ancillary data space located between SAV
               (Start of Active Video) and EAV (End of Active Video)
markers of the serial digital interface
0xFFC     | Horizontal offset is larger than can be represented in
the 12 bits of this field (if needed for future formats, or for
certain low frame rate 720p formats)

One further item came up regarding Horizontal_Offset.  In SMPTE ST 2038 (ANC Data in MPEG-TS, the data model we originally based this I-D on), Horizontal_Offset just says:

                “For HD, this is in units of Y samples (e.g., the range 0 to 2199 for 1080i @ 59.94).”

When I authored draft-ietf-payload-rtp-ancillary-0, I thought I’d be more verbose and say of Horiozntal_Offset:

“For HD, this is in units of luma sample numbers as specified by the defining document of the particular image (e.g., SMPTE ST 274 [ST274] for 1920
x 1080 active images, or SMPTE ST 296 [ST296] for 1280 x 720 progressive active images).”

This appears to limit us to images carried in a single SDI stream.  But now that we’ve extended this payload to be able to handle images carried over SDI multiple streams (such as UHD images), and we are specifically dealing with the location of ancillary data in SDI streams rather than images, I believe it is time to lean back towards simplicity, and have Horizontal_Offset state:

                “For HD, this is in units of Y samples as defined in ITU-R BT.1120.”

If it suits the Payload WG, I can submit a -13 version of the I-D with these changes.

-Thomas

--
Thomas Edwards
FOX Networks Engineering & Operations
VP Engineering & Development
[email-masked]
+1-310-369-6696
10201 W Pico Blvd
Los Angeles, CA 90035